$(document).ready(function () {
  $.ajaxSetup({
    headers: { "X-CSRF-Token": $("meta[name=csrf-token]").attr("content") },
    error: function (jqXHR, textStatus, errorThrown) {
      if (jqXHR.status == 401) {
        location.replace("/login");
      }
    },
  });
});

function formattedDate(date) {
  if (date) {
    date = new Date(date.toString());
    day = date.toLocaleString("en-us", { day: "numeric" });
    month = date.toLocaleString("en-us", { month: "short" });
    year = date.toLocaleString("en-us", { year: "numeric" });
    return `${day}-${month}-${year}`;
  }
  return "";
}

function filterForEval(string, stringObj, value, delimiter = ".") {
  let success = true;
  this[string] = stringObj;
  if (value.indexOf(delimiter) > -1) {
    valueArray = [];
    $.each(value.split(delimiter), function (i, val) {
      valueArray.push(val);
      let filtration = string + delimiter + valueArray.join(delimiter);
      if (typeof eval(filtration) === "undefined" || eval(filtration) == null) {
        success = false;
        return false;
      }
    });
  }
  return success ? eval(string + delimiter + value) : "";
}

function money(value) {
  if (typeof value !== "number") value = parseInt(value);
  return value.toLocaleString();
}

function post(path, params, method = "post", target = null) {
  let form = document.createElement("form");
  form.setAttribute("method", method);
  form.setAttribute("action", path);
  if (target) form.setAttribute("target", target);

  for (let key in params) {
    if (params.hasOwnProperty(key)) {
      let hiddenField = document.createElement("input");
      hiddenField.setAttribute("type", "hidden");
      hiddenField.setAttribute("name", key);
      hiddenField.setAttribute("value", params[key]);

      form.appendChild(hiddenField);
    }
  }

  // Setting csrf token
  let hiddenField = document.createElement("input");
  hiddenField.setAttribute("type", "hidden");
  hiddenField.setAttribute("name", "_token");
  hiddenField.setAttribute("value", $("meta[name=csrf-token]").attr("content"));
  form.appendChild(hiddenField);

  document.body.appendChild(form);
  form.submit();
}
